/**
 * class Radiozender - Beschrijft een radiozender
 *
 * @author Dominiek Vandewalle
 * @version 2023-02-03
 */
public class Radiozender
{
    private double frequentie;//FM-frequentie van de radiozender
    private String naam;//naam van de radiozender
    
    /**
     * Constructor voor objecten van de klasse Radiozender.
     * @param   frequentie  de FM-frequentie van de zender
     * @param   naam        de naam van de radiozender
     */
    public Radiozender(double frequentie, String naam)
    {
        this.frequentie = frequentie;
        this.naam = naam;
    }
    
    /**
     * Geeft de frequentie van de radiozender terug.
     * @return  de FM-frequentie van de radiozender
     */
    public double getFrequentie()
    {
        return frequentie;
    }

    /**
     * Geeft de naam van de radiozender terug.
     * @return de naam van de radiozender
     */
    public String getNaam()
    {
        return naam;
    }
    
    /**
     * Toont de frequentie en naam van de radiozender in het terminalvenster.
     */
    public void print()
    {
        System.out.println(frequentie + " - " + naam);
    }
}
