/**
 * Deze klass beschrijft een heel eenvoudige geldautomaat waarin je muntstukken werpt.
 * De geldautomaat is bijvoorbeeld deel van een drankenautomaat.
 * Je kan steeds aflezen hoeveel het ingeworpen bedrag is.
 * Je kan al het geld terug uit de automaat halen.
 *
 * @author Dominiek Vandewalle
 * @version 2022-12-15
 */
public class Geldautomaat
{
    // velden
    private double ingeworpenBedrag;

    /**
     * Constructor voor objecten van de klasse GeldAutomaat.
     */
    public Geldautomaat()
    {
        ingeworpenBedrag = 0;
    }
    
    /**
     * Toont hoeveel geld in de geldautomaat zit.
     * @return  het ingeworpen bedrag in de geldautomaat
     */
    public double getIngeworpenBedrag()
    {
        return ingeworpenBedrag;
    }

    /**
     * Werpt een muntstuk van een gegeven bedrag in de geldautomaat.
     * @param   muntstuk    het bedrag van het muntstuk dat ingeworpen werd
     */
    public void werpMuntstukInGeldautomaat(double muntstuk)
    {
        ingeworpenBedrag = ingeworpenBedrag + muntstuk;
    }
    
    /**
     * Geeft al het geld in de geldautomaat terug. Er blijft 0 euro over in de geldautomaat.
     * @return  het aanwezige bedrag in de geldautomaat
     */
    public double resetGeldautomaat()
    {
        double hulp;
        hulp = ingeworpenBedrag;
        ingeworpenBedrag = 0;
        return hulp;
    }
}