/**
 * class Film - Beschrijft een review van een film.
 *
 * @author Dominiek Vandewalle
 * @version 2022-12-23
 */
public class Film
{
    private String titel;
    private double score; //score op 10
    private int aantalReviews;
    private boolean oscarGewonnen;

    /**
     * Constructor voor objecten van de klasse film.
     * @param   titel   de titel van de film
     * @param   score   de score op 10
     * @param   aantalReviews   het aantal reviews van de film
     */
    public Film(String titel, double score, int aantalReviews)
    {
        this.titel = titel;
        this.score = score;
        this.aantalReviews = aantalReviews;
        oscarGewonnen = false;
    }

    /**
     * Geeft de titel van de film terug.
     * @return  de titel van de film
     */
    public String getTitel()
    {
        return titel;
    }

    /**
     * Verandert de score van de film.
     * @param   score   de nieuwe score van de film
     */
    public void setScore(double score)
    {
        this.score = score;
    }

    /**
     * Geeft aan dat de film een Oscar gewonnen heeft.
     */
    public void oscarGewonnen()
    {
        oscarGewonnen = true;
    }

    /** 
     * Toont informatie over de film in het terminalvenster.
     */
    public void print()
    {
        System.out.println(titel + " (" + score + "/10)");
    }
}
