
/**
 * class Film - Beschrijft een review van een film
 *
 * @author Dominiek Vandewalle
 * @version 2023-01-03
 */
public class Film
{
    private String titel;
    private int duimenOmhoog;
    private int duimenOmlaag;

    /**
     * Constructor voor objecten van de klasse Film.
     * @param   titel   de titel van de film
     */
    public Film(String titel)
    {
        this.titel = titel;
        duimenOmhoog = 0;
        duimenOmlaag = 0;
    }

    //EXPRESSIES

    /**
     * Berekent het totaal aantal duimen er bij de film gegeven werden.
     * @return  de som van het aantal duimen omhoog en het aantal duimen omlaag
     */
    public int aantalDuimen()
    {
        return duimenOmhoog + duimenOmlaag;
    }

    /**
     * Geeft aan of de film mooi is.
     * @return  true als de film mooi is, anders false.
     */
    public boolean mooieFilm()
    {
        return duimenOmhoog > 3 * duimenOmlaag;
    }

    /**
     * Geeft aan of de film een topfilm is.
     * @return  true als de film goed is, anders false.
     */
    public boolean topFilm()
    {
        return (duimenOmhoog + duimenOmlaag > 1000) && mooieFilm();
    }

    /**
     * Geeft informatie over de film terug
     * @return  een String met de titel van de film en het aantal duimen omhoog en omlaag.
     */
    public String filmInfo()
    {
        return titel + ": " + duimenOmhoog + "^ " + duimenOmlaag + "v";    
    }

    //STATEMENTS
    /**
     * Verhoogt het aantal duimen omhoog met 1.
     */
    public void duimOmHoog()
    {
        duimenOmhoog = duimenOmhoog + 1;
    }

    /**
     * Verhoogt het aantal duimen omlaag met 1.
     */
    public void duimOmlaag()
    {
        duimenOmlaag++;
    }
    
    /**
     * Wissel het aantal duimen omhoog en omlaag om.
     */
    public void wisselDuimen()
    {
        int hulp = duimenOmhoog;
        duimenOmhoog = duimenOmlaag;
        duimenOmlaag = hulp;
    }

    /**
     * Toont informatie over de film in het terminalvenster.
     */
    public void print()
    {
        String info = filmInfo() + "\n";
        info += "Totaal aantal duimen: " + aantalDuimen();
        System.out.println(info);
    }
}