/**
 * Beschrijft een bericht dat tussen twee smarphones kan verstuurd worden.
 *
 * @author Dominiek Vandewalle
 * @version 2023-01-15
 */
public class Message
{
    private String tekst;
    private boolean isGelezen;
    
    /**
     * Constructor voor objecten van de klasse Message.
     * @param   tekst   de tekst die het bericht bevat
     */
    public Message(String tekst)
    {
        this.tekst = tekst;
        isGelezen = false;
    }
    
    /**
     * Geeft de tekst in het bericht terug.
     * @return  De tekst in het bericht
     */    
    public String getTekst()
    {
        return tekst;
    }
    
    /**
     * Geeft aan of het bericht werd gelezen of niet
     * @return  true als het bericht werd gelezen, anders false
     */
    public boolean getIsGelezen()
    {
        return isGelezen;
    }
    
    /**
     * Geeft aan dat het bericht gelezen werd
     */
    public void gelezen()
    {
        this.isGelezen = true;
    }
}
