/**
 * Beschrijft een wapen van een personage in een computergame.
 *
 * @author Dominiek Vandewalle
 * @version 2022-12-08
 */
public class Wapen
{
    private String type;
    private double dodelijkheid;//getal tussen 0 (onschadelijk) en 1 (erg dodelijk)
    private int munitie; //aantal kogels, aantal rakketten, aantal pijlen enz.

    /**
     * Constructor voor objecten van de klasse Wapen.
     * @param type                het type van het wapen
     * @param beschermingsfactor  de mate waarin het wapen schade veroorzaakt aan de gezondheid van de tegenstander
     */
    public Wapen(String type, double dodelijkheid)
    {
        this.type = type;
        this.dodelijkheid = dodelijkheid;
        munitie = 3;
    }

    /**
     * Geeft de mate waarin het wapen schade veroorzaakt aan de gezondheid van de tegenstander terug.
     * @return   de dodelijkheid van het wapen
     */
    public double getDodelijkheid()
    {
        return dodelijkheid;
    }

    /**
     * Geeft het type van het wapen terug
     * @return   het type van het wapen
     */
    public String getType()
    {
        return type;
    }

    /**
     * Geeft de hoeveelheid munitie in het wapen terug.
     * @return hoeveelheid munitie in het wapen
     */
    public int getMunitie()
    {
        return munitie;
    }
    
    /** Herlaadt het wapen met een gegeven hoeveelheid munitie
     * @param   nieuweMunitie   de extra hoeveelheid munitie
     */
    public void herladen(int nieuweMunitie)
    {
        munitie += nieuweMunitie;
    }
    
    /**
     * Schiet met het wapen: vermindert de munitie met 1 indien er munitie aanwezig is.
     */
    public void schieten()
    {
        if(munitie > 0)
        {
            munitie--;
        }
    }
    
    /**
     * Toont informatie over het wapen in het terminalvenster.
     */
    public void print()
    {
        String info = type + "\n";
        info += "\tbeschikbare munitie: " + munitie + "\n";
        info += "\tdodelijkheid: " + dodelijkheid;
        System.out.println(info);
    }
}