/**
 * class Product - Beschrijft een product die we in de winkel willen kopen.
 *
 * @author Dominiek Vandewalle
 * @version 2023-01-16
 */
public class Product
{
    private String naam;
    private double hoeveelheid;//uitgedrukt in kg, bv. 0,450 kg

    /**
     * Constructor voor objecten van de klasse Product.
     * @param   naam        de naam van het product
     * @param   hoeveelheid de hoeveelheid van het product
     */
    public Product(String naam, double hoeveelheid)
    {
        this.naam = naam;
        this.hoeveelheid = hoeveelheid;
    }

    /**
     * Geeft de naam van het product terug.
     * @return    de naam van het product
     */
    public String getNaam()
    {
        return naam;
    }
    
    /**
     * Geeft de gewenste hoeveelheid van het product.
     * @return    de gewenste hoeveelheid
     */
    public double getHoeveelheid()
    {
        return hoeveelheid;
    }
    
    /**
     * Toont informatie over het product in het terminalvenster.
     */
    public void print()
    {
        System.out.println(naam + ": " + hoeveelheid);
    }
}
