
/**
 * class Kaart - Beschrijft een spelkaart
 *
 * @author Dominiek Vandewalle
 * @version 2023-01-18
 */
public class Kaart
{
    private String kleur;// Dit is harten, ruiten, klaveren of schoppen
    private int waarde; // 1 t.e.m. 13
    
    /**
     * Constructor voor objecten van de klasse Kaart.
     * Indien je een onbestaande kleur of waarde opgeeft, wordt de kaart JOKER 7.
     * @param   kleur   harten, ruiten, klaveren of schoppen.
     * @param   waarde  1 (= aas), 2, 3,... ,11 (= boer), 12 (= dame), 13 (= heer)
     */
    public Kaart(String kleur, int waarde)
    {
        kleur = kleur.toLowerCase();
        if(! (kleur.equals("harten") || kleur.equals("ruiten") 
                || kleur.equals("klaveren") || kleur.equals("schoppen")) 
                || ! (waarde >= 0 && waarde <= 13))
        {
            this.kleur = "JOKER";
            this.waarde = 7;
        }
        else
        {
            this.kleur = kleur;
            this.waarde = waarde;
        }
    }
    
    /**
     * Geeft de kleur van de kaart terug.
     * @return  De kleur van de kaart.
     */
    public String getKleur()
    {
        return kleur;
    }
    
    /**
     * Geeft de waarde van de kaart terug.
     * @return  De waarde van de kaart.
     */
    public int getWaarde()
    {
        return waarde;
    }
    
    /**
     * Toont de kaart in het terminalvenster.
     * Bijvoorbeeld: harten dame, klaveren 4, JOKER 7.
     */
    public void print()
    {
        String[] waarden = {"aas", "2", "3", "4", "5", "6", "7", "8", "9", "10", "boer", "dame", "heer"};
        System.out.println(kleur + " " + waarden[waarde - 1]);
    }
}
