
/**
 * class MM - Beschrijft een M&M.
 *
 * @author Dominiek Vandewalle
 * @version 2023-04-21
 */
public class MM
{
    private String kleur;
    private boolean metPindaNoot;

    /**
     * Constructor voor objecten van de klasse mm.
     * @param   kleur           de kleur van de M&M
     * @param   metPindaNoot    True indien het hart van de M&M een pindanoot is, false indien het hart van chocolade is
     */
    public MM(String kleur, boolean metPindaNoot)
    {
        this.kleur = kleur;
        this.metPindaNoot = metPindaNoot;
    }

    /**
     * Geeft de kleur van de M&M terug.
     * @return  de kleur van de M&M
     */
    public String getKleur()
    {
        return kleur;
    }

    /**
     * Geeft aan of het hart van de M&M een pindanoot is of van chocolade is.
     * @return   True indien het hart van de M&M een pindanoot is, false indien het hart van chocolade is.
     */
    public boolean getMetPindaNoot()
    {
        return metPindaNoot;
    }

    /**
     * Toont info over de M&M in het terminalvenster.
     */
    public void print()
    {
        String info = "M&M met ";

        if(metPindaNoot)
        {
            info += "pindanoot";
        }
        else
        {
            info += "chocoladehart";
        }

        info += " in het blauw gekleurd.";

        System.out.println(info);
    }

    /**
     * Verft de M&M in de opgegeven kleur.
     * @param   kleur   de nieuwe kleur van de M&M
     */
    public void verf(String kleur)
    {
        this.kleur = kleur;
    }
}
