
/**
 * class Bordspel - Beschrijft een bordspel.
 *
 * @author Dominiek Vandewalle
 * @version 2023-04-21
 */
public class Bordspel
{
    private String naam;
    private int aantalSpelers;
    private int aantalKeerGespeeld;
    
    /**
     * Constructor voor objecten van de klasse Bordspel.
     * @param   naam    de naam van het bordspel
     * @param   aantalSpelers   het aantal spelers dat kan deelnemen aan het bordspel
     */
    public Bordspel(String naam, int aantalSpelers)
    {
        this.naam = naam;
        this.aantalSpelers = aantalSpelers;
        aantalKeerGespeeld = 0;
    }
    
    /**
     * Geeft de naam van het bordspel terug.
     * @return  de naam van het bordspel
     */
    public String getNaam()
    {
        return naam;
    }
    
    /**
     * Geeft het aantal spelers dat kan deelnemen aan het bordspel terug.
     * @return  het aantal spelers dat kan deelnemen aan het bordspel
     */
    public int getAantalSpelers()
    {
        return aantalSpelers;
    }
    
    /**
     * Geeft het aantal keer dat het spel gespeeld werd terug.
     * @return  het aantal keer dat het spel gespeeld werd
     */
    public int getAantalKeerGespeeld()
    {
        return aantalKeerGespeeld;
    }
    
    /**
     * Verhoogt het aantal keer dat het spel gespeeld werd met 1.
     */
    public void gespeeld()
    {
        aantalKeerGespeeld++;
    }
    
    /**
     * Toont informatie over het bordspel in het terminalvenster.
     */
    public void print()
    {
        String info = naam + " (" + aantalSpelers + " spelers) ";
        info += "--> " + aantalKeerGespeeld + " keer gespeeld";
        System.out.println(info);
    }
    
}
