/**
 * Beschrijft het gedrag van een cowboy in een computergame.
 * 
 * @author Dominiek Vandewalle
 * @version 2023-01-23
 */
public class Cowboy
{
    private String naam;
    private int gezondheid;

    /**
     * Constructor voor objecten van de klasse Cowboy.
     * @param   naam    de naam van de cowboy
     */
    public Cowboy(String naam)
    {
        this.naam = naam;
        gezondheid = 100;
    }

    /**
     * Geeft de naam van de cowboy terug.
     * @return     de naam van de cowboy 
     */
    public String getNaam()
    {
        return naam;
    }
    
    public void setGezondheid(int gezondheid)
    {
        this.gezondheid = gezondheid;
    }

    /**
     * Geeft de gezondheid van de cowboy terug.
     * @return     de gezondheid van de cowboy
     */
    public int getGezondheid()
    {
        return gezondheid;
    }

    /**
     * Geeft aan of de cowboy al dan niet dood is.
     * @return     true indien de cowboy dood is, anders false
     */
    public boolean isDood()
    {
        return gezondheid == 0;
    }

    /**
     * Toont informatie over de cowboy in het terminalvenster.
     */
    public void print()
    {
        String info = "Cowboy: " + naam + "\n";
        info += "Gezondheid: " + gezondheid;
        System.out.println(info);
    }
}