import java.util.ArrayList;
/**
 * class Game - Beschrijft een spelletje waarbij cowboys elkaar kunnen beschieten.
 *
 * @author Dominiek Vandewalle
 * @version 2023-02-17
 */
public class Game
{
    private String naam;
    private Cowboy cowboyAanZet; // Cowboy die aan de beurt is
    private ArrayList<Cowboy> cowboys; // Cowboys die meespelen in het spel

    /**
     * Constructor voor objecten van de klasse Game
     * @param   naam    de naam van de game
     */
    public Game(String naam)
    {
        cowboys = new ArrayList<Cowboy>();
        cowboyAanZet = null;
        this.naam = naam;
    }
  
    /**
     * Registreert een cowboy bij het spel.
     * Toont in het terminalvenster een overzicht van het spel en de spelers.
     */
    public void registreer(Cowboy cowboy)
    {
        if(cowboys.size() == 0)
        {
            cowboyAanZet = cowboy;
        }
        cowboys.add(cowboy);

        System.out.println("Welkom bij het spel " + naam);
        System.out.println("Overzicht van spelers:");
        for(Cowboy c : cowboys)
        {
            c.print();
        }
        System.out.println("Speler aan de beurt:");
        cowboyAanZet.print();
    }
    
    /**
     * Laat een cowboy een andere cowboy aanvallen.
     * Bepaalt welke cowboy vervolgens aan zet is.
     * Toont in het terminalvenster een overzicht van het spel en de spelers.
     * 
     * @param   aanvaller   de cowboy die aanvalt
     * @param   tegenstander  de cowboy die aangevallen wordt
     */
    public void speel(Cowboy aanvaller, Cowboy tegenstander)
    {
        if(aanvaller.equals(cowboyAanZet) && cowboys.contains(tegenstander))
        {
            int gezondheid = Math.max(0, tegenstander.getGezondheid() - 60);
            tegenstander.setGezondheid(gezondheid);
            if(tegenstander.getGezondheid() == 0)
            {
                cowboyAanZet = tegenstander;
                System.out.println("Overzicht van spelers:");
                for(Cowboy c : cowboys)
                {
                    c.print();
                }
                System.out.println("Speler aan de beurt:");
                cowboyAanZet.print(); 
            }
            else
            {
                cowboys.remove(tegenstander);
                System.out.println("Speler is dood:");
                tegenstander.print();
                if(cowboys.size() > 1)
                {
                    System.out.println("Speel opnieuw");
                }
                else
                {
                    System.out.println("WINNAAR:");
                    aanvaller.print();
                }
            }
        }
        else
        {
            System.out.println("Het is je beurt niet OF de tegenstander is niet gekend");
        }
    }
}