/**
 * class Cowboy - Beschrijft het gedrag van een cowboy in een computergame.
 * 
 * @author Dominiek Vandewalle
 * @version 2023-01-28
 */
public class Cowboy extends Strijder
{
    /**
     * Constructor voor objecten van de klasse Cowboy.
     * Cowboys worden geboren met 100 procent gezondheid en slechts 1 leven
     * @param   naam    de naam van de cowboy
     */
    public Cowboy(String naam)
    {
        super(naam);
    }

    /**
     * Indien de cowboy geraakt wordt, dan verliest de cowboy een stukje van de gezondheid.
     */
    public void geraakt()
    {
        setGezondheid(Math.max(0, getGezondheid() - 30));
    }

    /**
     * De cowboy verliest een stukje van de gezondheid.
     */
    public void drinkWhisky()
    {
        setGezondheid(Math.max(0, getGezondheid() - 10));
    }

    /**
     * Toont informatie over de cowboy in het terminalvenster.
     */
    public void print()
    {
        String info = "Cowboy: " + getNaam() + "\n";
        info += "Gezondheid: " + getGezondheid();
        System.out.println(info);
    }
}