/**
 * class Indiaan - Beschrijft het gedrag van een indiaan in een computergame.
 * 
 * @author Dominiek Vandewalle
 * @version 2023-01-28
 */
public class Indiaan extends Strijder
{
    /**
     * Constructor voor objecten van de klasse Indiaan.
     * Indianen worden geboren met 100 procent gezondheid en slechts 1 leven
     * @param   naam    de naam van de indiaan
     */
    public Indiaan(String naam)
    {
        super(naam);
    }

    /**
     * Indien de indiaan geraakt wordt, dan verliest de indiaan een stukje van de gezondheid.
     */
    public void geraakt()
    {
        setGezondheid(Math.max(0, getGezondheid() - 40));
    }

    /**
     * Indien de indiaan een vredespijp met een cowboy rookt, dan wordt een stukje gezondheid herwonnen.
     * Indien de indiaan alleen rookt, dan verliest de indiaan een stukje van de gezondheid.
     * @param   cowboy  de cowboy waarmee een vredespijp gerookt wordt of null indien alleen gerookt wordt.
     */
    public void rookVredespijp(Strijder strijder)
    {
        if(strijder != null)
        {
            setGezondheid(Math.min(100, getGezondheid() + 20));
        }
        else
        {
            setGezondheid(Math.max(0, getGezondheid() - 20));
        }
    }
    
    /**
     * Toont informatie over de indiaan in het terminalvenster.
     */
    public void print()
    {
        String info = "Indiaan: " + getNaam() + "\n";
        info += "Gezondheid: " + getGezondheid();
        System.out.println(info);
    }
}