/**
 * Beschrijft het gedrag van een cowboy in een computergame.
 * 
 * @author Dominiek Vandewalle
 * @version 2023-01-23
 */
public class Cowboy implements Strijder
{
    //velden
    private String naam;
    private int gezondheid;

    /**
     * Constructor voor objecten van de klasse Cowboy.
     * Cowboys worden geboren met 100 procent gezondheid en slechts 1 leven
     * @param   naam    de naam van de cowboy
     */
    public Cowboy(String naam)
    {
        this.naam = naam;
        gezondheid = 100;
    }

    /**
     * Geeft de naam van de cowboy terug.
     * @return     de naam van de cowboy 
     */
    public String getNaam()
    {
        return naam;
    }

    /**
     * Geeft de gezondheid van de cowboy terug.
     * @return     de gezondheid van de cowboy
     */
    public int getGezondheid()
    {
        return gezondheid;
    }

    /**
     * Geeft aan of de cowboy al dan niet dood is.
     * @return     true indien de cowboy dood is, anders false
     */
    public boolean isDood()
    {
        return gezondheid == 0;
    }

    /**
     * Een strijder aanvallen.
     * @param   tegenstander  de strijder die aangevallen wordt
     */
    public void aanvallen(Strijder tegenstander)
    {
        if(! isDood())
        {
            tegenstander.geraakt();
        }
    }

    /**
     * Indien de cowboy geraakt wordt, dan verliest de cowboy een stukje van de gezondheid.
     */
    public void geraakt()
    {
        gezondheid = Math.max(0, gezondheid - 30);
    }

    /**
     * De cowboy verliest een stukje van de gezondheid.
     */
    public void drinkWhisky()
    {
        gezondheid = Math.max(0, gezondheid - 10);
    }

    /**
     * Toont informatie over de cowboy in het terminalvenster.
     */
    public void print()
    {
        String info = "Cowboy: " + naam + "\n";
        info += "Gezondheid: " + gezondheid;
        System.out.println(info);
    }
}