/**
 * class Strijder - Beschrijft het gedrag van een strijder in een computergame.
 * 
 * @author Dominiek Vandewalle
 * @version 2023-01-27
 */
public class Strijder
{
    private String naam;
    protected int gezondheid;

    /**
     * Constructor voor objecten van de klasse Strijder.
     * Strijders worden geboren met 100 procent gezondheid en slechts 1 leven
     * @param   naam    de naam van de strijder
     */
    public Strijder(String naam)
    {
        this.naam = naam;
        gezondheid = 100;
    }

    /**
     * Geeft de naam van de strijder terug.
     * @return     de naam van de strijder 
     */
    public String getNaam()
    {
        return naam;
    }

    /**
     * Geeft aan of de strijder al dan niet dood is.
     * @return     true indien de strijder dood is, anders false
     */
    public boolean isDood()
    {
        return gezondheid == 0;
    }

    /**
     * Een andere strijder aanvallen.
     * @param   tegenstander  de strijder die aangevallen wordt
     */
    public void aanvallen(Strijder tegenstander)
    {
        if(! isDood())
        {
            tegenstander.geraakt();
        }
    }

    /**
     * Indien de strijder geraakt wordt, dan verliest de strijder een stukje van de gezondheid.
     */
    public void geraakt()
    {
        gezondheid = 0;
    }
    
    /**
     * Toont informatie over de strijder in het terminalvenster.
     */
    public void print()
    {
        System.out.println("Strijder: " + naam + " (" + gezondheid + ")\n");
    }
}