
/**
 * abstract class Notification - Beschrijft een notification op een smartphone
 *
 * @author Dominiek Vandewalle
 * @version 2023-01-23
 */
public class Notification
{
    private boolean gelezen;
    private String app;
    
    /**
     * Constructor voor objecten van de klasse Notification.
     * @param   app     de app waarvan de notification afkomstig is
     */
    public Notification(String app)
    {
        this.app = app;
        gelezen = false;
    }
    
    /**
     * Geeft aan of de notification al dan niet gelezen werd in de corresponderende app.
     * @return  true indien de notification gelezen en geopend werd in de corresponderende app, anders false
     */
    public boolean getGelezen()
    {
        return gelezen;
    }
    
    /**
     * Geeft de app terug waartoe de notification behoort.
     * @return  geeft de naam van de app horende bij de notification
     */
    public String getApp()
    {
        return app;
    }
    
    /**
     * Geeft aan dat de notification gelezen is.
     */
    public void leesNotification()
    {
        gelezen = true;
    }
    
    /**
     * Toont informatie over de notification in het terminalvenster.
     */
    public void print()
    {
        
    }
}
