/**
 * class Cowboy - eschrijft het gedrag van een cowboy in een computergame.
 * 
 * @author Dominiek Vandewalle
 * @version 2023-01-27
 */
public class Cowboy extends Strijder
{

    /**
     * Constructor voor objecten van de klasse Cowboy.
     * Cowboys worden geboren met 100 procent gezondheid en slechts 1 leven
     * @param   naam    de naam van de cowboy
     */
    public Cowboy(String naam)
    {
        super(naam);
    }

    /**
     * Indien de cowboy geraakt wordt, dan verliest de cowboy een stukje van de gezondheid.
     */
    public void geraakt()
    {
        gezondheid = Math.max(0, gezondheid - 30);
    }

    /**
     * De cowboy verliest een stukje van de gezondheid.
     */
    public void drinkWhisky()
    {
        gezondheid = Math.max(0, gezondheid - 10);
    }

    /**
     * Toont informatie over de cowboy in het terminalvenster.
     */
    public void print()
    {
        String info = "Cowboy: " + getNaam() + "\n";
        info += "Gezondheid: " + gezondheid;
        System.out.println(info);
    }
}