import java.util.ArrayList;
/**
 * class Game - Beschrijft een eenvoudig spel waar cowboys aan deelnemen.
 *
 * @author Dominiek Vandewalle
 * @version 2023-02-23
 */
public class Game
{
    private ArrayList<Cowboy> cowboys;
    private CowboysDAO cowboysDAO;

    /**
     * Constructor voor objecten van de klasse Game.
     * @param   cowboysDAO  een data-access-object om cowboys in te lezen en weg te schrijven
     */
    public Game(CowboysDAO cowboysDAO)
    {
        cowboys = new ArrayList<Cowboy>();
        this.cowboysDAO = cowboysDAO;
    }
    
    /**
     * Voegt een cowboy toe aan het spel
     * @param   cowboy  de cowboy die toegevoegd wordt.
     */
    public void cowboyToevoegen(Cowboy cowboy)
    {
        cowboys.add(cowboy);
    }
    
    /**
     * Opvragen van een ArrayList van cowboys die bewaard worden op een persistente locatie.
     */
    public void inladen()
    {
        cowboys = cowboysDAO.lees();
    }

    /**
     * Bewaren van de ArrayList van cowboys op een persistente locatie.
     */
    public void bewaren()
    {
        cowboysDAO.schrijf(cowboys);
    }

    /**
     * Toont alle cowboys in het terminalvenster.
     */
    public void print()
    {
        for(Cowboy cowboy : cowboys)
        {
            cowboy.print();
        }
    }
}
